Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface MsgBrokerRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

    public interface MsgBrokerRuntimeMBean

extends weblogic.management.runtime.RuntimeMBean

Message broker runtime info

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Method Summary
`MessageBrokerChannelValue[]` | `getChannelInfo()` get the list of channels
`MessageBrokerChannelValue` | `getChannelInfoByName(String name)` get the list of channels
`Date` | `getResetDate()` The date of the last reset
`MessageBrokerSubscriberValue[]` | `getSubscriptionInfo()` get the list of subscribers
`MessageBrokerSubscriberValue[]` | `getSubscriptionInfoByChannelName(String channelName)` get the list of subscribers
`void` | `resetMsgCount()` Resets the count of processed messages to zero
`void` | `resetMsgCount(String channelName)` Resets the count of processed messages to zero for a specific channel

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`addPropertyChangeListener, preDeregister, removePropertyChangeListener`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getSubscriptionInfo

    MessageBrokerSubscriberValue[] getSubscriptionInfo()
                                                       throws javax.management.MBeanException

  get the list of subscribers

  Returns:
    list of subscribers
  Throws:
    `javax.management.MBeanException`

### getSubscriptionInfoByChannelName

    MessageBrokerSubscriberValue[] getSubscriptionInfoByChannelName(String channelName)
                                                                    throws javax.management.MBeanException

  get the list of subscribers

  Returns:
    list of subscribers
  Throws:
    `javax.management.MBeanException`

### getChannelInfo

    MessageBrokerChannelValue[] getChannelInfo()
                                               throws javax.management.MBeanException

  get the list of channels

  Returns:
    list of channels
  Throws:
    `javax.management.MBeanException`

### getChannelInfoByName

    MessageBrokerChannelValue getChannelInfoByName(String name)
                                                   throws javax.management.MBeanException

  get the list of channels

  Returns:
    list of channels
  Throws:
    `javax.management.MBeanException`

### resetMsgCount

    void resetMsgCount()
                       throws javax.management.MBeanException

  Resets the count of processed messages to zero

  Throws:
    `javax.management.MBeanException`

### resetMsgCount

    void resetMsgCount(String channelName)
                       throws javax.management.MBeanException

  Resets the count of processed messages to zero for a specific channel

  Throws:
    `javax.management.MBeanException`

### getResetDate

    Date getResetDate()
                      throws javax.management.MBeanException

  The date of the last reset

  Returns:
    date
  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD